SDL_X11EventHook(3type)

NAME
SDL_X11EventHook - A callback to be used with SDL_SetX11EventHook.

SYNOPSIS
#include <SDL3/SDL_system.h>

typedef bool (SDLCALL *SDL_X11EventHook)(void *userdata, XEvent *xevent);

DESCRIPTION
This callback may modify the event, and should return true if the event should continue to be processed, or false to prevent further processing.

As this is processing an event directly from the X11 event loop, this callback should do the minimum required work and return quickly.

FUNCTION PARAMETERS

userdata
    the app-defined pointer provided to SDL_SetX11EventHook.

xevent
    a pointer to an Xlib XEvent union to process.

RETURN VALUE
Returns true to let event continue on, false to drop it.

THREAD SAFETY
This may only be called (by SDL) from the thread handling the X11 event loop.

AVAILABILITY
This datatype is available since SDL 3.2.0.

SEE ALSO
SDL_SetX11EventHook(3)